/*****************************************************************************
 *	aisa38w.h
 *
 *	aISA-R38
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	Date 1998/05/20
 *
 *****************************************************************************/
#ifndef __AISA38__
#define __AISA38__

#include "aisa38.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AISA38_DLL_NAME	  _T("aisa38.dll")	// DLL
#define AISA38_MAX_PORT 4					// aISA-R38̃|[g
#define AISA38_ERR_WRAPDLL ((DWORD)-1)		// bp[֐G[

// DLL [h
BOOL Aisa38wDllOpen ( void );

// DLL A[h
BOOL Aisa38wDllClose ( void );

// aISA-R38 DLL,Driver̃o[Wԍ擾
BOOL Aisa38wGetVersion ( PDWORD pdwDllVer, PDWORD pdwDrvVer );

// CӂaISA-R38̎gp錾
BOOL Aisa38wCreate(PWORD pwLogSlot);

// CӂaISA-R38̎gpJ
BOOL Aisa38wClose ( WORD wLogSlot );

// \[X擾
BOOL Aisa38wGetResource ( WORD wLogSlot, PAISA38R pResInfo );

// Cӂ̃|[gփf[^o
BOOL Aisa38wOutPort ( WORD wLogSlot, DWORD dwPort, BYTE bOutValue );

// aISA-R38̃G[R[h
DWORD Aisa38wGetLastError ( WORD wLogSlot );

#ifdef __cplusplus
}
#endif
#endif // __AISA38__
